#### JBrowse main configuration file

## uncomment the section below to customize this browser's title and description
# [aboutThisBrowser]
# title = <i>Oryza sativa</i>
# description = Browser for O. sativa transcripts and RNA-seq data,
#   produced by the Smith laboratory at Example State University.

## uncomment and edit the example below to configure a faceted track selector
# [trackSelector]
# type = Faceted
# displayColumns =
#   + label
#   + key
#   + organism
#   + technique
## optionally sort the faceted track selector by column (use the names from displayColumns)
# initialSortColumn=label
## optionally give different names to some of the data facets using renameFacets
# [trackSelector.renameFacets]
# submission = Submission ID
# developmental-stage = Conditions
# cell-line = Cell Line
# key = Dataset
# label = Track

## uncomment this section to get hierarchical trackselector options
# [trackSelector]
## optionally turn off sorting for the hierarchical track selector
# sortHierarchical = false
## set collapsed categories for the hierarchical track selector
# collapsedCategories = Reference sequence,Quantitative / XY Plot
## set category ordering in the hierarchical track selector
# categoryOrder = BAM, Transcripts, Quantitative/Density, VCF

## configure where to get metadata about tracks.  always indexes the
## `metadata` part of each track config, but this can be used to load
## additional metadata from CSV or JSON urls
# [trackMetadata]
# sources = data/trackMetadata.csv


[GENERAL]


## add a document.domain to set the same-origin policy
# documentDomain=foobar.com

## use classic jbrowse menu with file instead of track and genome
#classicMenu = true

## hide open genome option
#hideGenomeOptions = true

## enable or disable high resolution rendering for canvas features. set to auto, disabled, or numerical scaling factor. default: 2
# highResolutionMode=auto

## uncomment to change the default sort order of the reference
## sequence dropdown
# refSeqOrder = length descending

## Uncomment to prevent HTML tracks from displaying gene subfeatures (enabled by default)
# inferHTMLSubfeatures = false

## to set a default data directory other than 'data', uncomment and
## edit the line below
# dataRoot = data

## optionally add more include statements to load and merge in more
## configuration files
include  = {dataRoot}/trackList.json
include += {dataRoot}/tracks.conf
# include += ../url/of/my/other/config.json
# include += another_config.conf

## uncomment and edit the example below to enable one or more
## JBrowse plugins
# [ plugins.MyPlugin ]
# location = plugins/MyPlugin
# [ plugins.AnotherPlugin ]
# location = ../plugin/dir/someplace/else

## edit the datasets list below to add datasets to the jbrowse dataset
## selector

# [datasets.volvox]
# url  = ?data=sample_data/json/volvox
# name = Volvox Example

# [datasets.modencode]
# url  = ?data=sample_data/json/modencode
# name = MODEncode Example

# [datasets.yeast]
# url  = ?data=sample_data/json/yeast
# name = Yeast Example
[ plugins.BlastView ]
location = ../plugin/BlastView/
[ plugins.GCContent ]
location = ../plugin/GCContent/
[ plugins.ComboTrackSelector ]
location = ../plugin/ComboTrackSelector/
[ plugins.MultiBigWig ]
location = ../plugin/MultiBigWig/
[ plugins.bookmarks ]
location = ../plugin/bookmarks/
[ plugins.NeatCanvasFeatures ]
location = ../plugin/NeatCanvasFeatures/
[ plugins.NeatHTMLFeatures ]
location = ../plugin/NeatHTMLFeatures/
